#pragma once

#include <QWidget>
#include <QLabel>
#include <QVBoxLayout>
#include <QMouseEvent>
#include "src/data/albumInformation.h"

class AlbumTile : public QWidget
{
    Q_OBJECT
public:
    explicit AlbumTile(const AlbumData& item, QWidget* parent = nullptr);

signals:
    void activated(const AlbumData& item);

protected:
    void mousePressEvent(QMouseEvent* event) override;   // <-- REQUIRED

private:
    AlbumData item_;
};
